Nacho Printing Machine

    eslint-config-migme

    3.1.1 • Public • Published

    eslint-config-migme

    npm version

    This package provides migme's .eslintrc as an extensible shared config

    Usage

    eslint-config-migme

    Our default export contains all of our ESLint rules, including EcmaScript 6+. It requires eslint.

    1. npm install --save-dev eslint-config-migme eslint-plugin-react eslint
    2. add "extends": "migme" to your .eslintrc

    eslint-config-migme/base

    Lints ES6+ but does not lint React. It requires eslint.

    1. npm install --save-dev eslint-config-migme eslint
    2. add "extends": "migme/base" to your .eslintrc

    eslint-config-migme/legacy

    Lints ES5 and below. Only requires eslint.

    1. npm install --save-dev eslint-config-migme eslint
    2. add "extends": "migme/legacy" to your .eslintrc

    See migme's Javascript styleguide and the ESlint config docs for more information.

    Install

    npm i eslint-config-migme

    DownloadsWeekly Downloads

    2

    Version

    3.1.1

    License

    MIT

    Last publish

    Collaborators

    • achichen
    • eddiemoore
    • migbuild